Bug 161753 - Nscd cache seems to invalidate itself in certain scenarios
Nscd cache seems to invalidate itself in certain scenarios
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-26 20:51 EDT by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-27 10:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-06-26 20:51:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.3

Description of problem:
I have a test network containing a network information server that provides an LDAP service.  

On the network, I have a laptop client that uses LDAP to lookup GIDs for group names.  The laptop is using pam_ccreds to cache authentication information and nscd to cache other information.  All of the nscd services have a very high time-to-live.

My use of pam_ccreds and nscd is to ensure that the laptop is usable away from the network.

Version-Release number of selected component (if applicable):
nscd-2.3.5-11

How reproducible:
Always

Steps to Reproduce:
There are three scenarios I have been using to try and figure out what is wrong.

Scenario 1: I turn on my laptop when it is connected to my network and my LDAP server is available.  In this case, "id -ng" says, "mike."  This is my test account's default group.  This is good.

Scenario 2: I turn on my laptop when it is disconnected from any network.  In this case, "id -ng" says, "mike."  This is also good.

Scenario 3: I turn on my laptop when it is connected to a network but my LDAP server is not available.  In this case, "id -ng" says, "id: cannot find group name for ID 500."  This is not good.

Additional info:

I can not figure out why scenario three fails.  Using the "-d" flag does not help, it just tells me that the group entries don't exist, not why:

4618: handle_request: request received (Version = 2) from PID 4626
4618:   GETFDGR
4618: provide access to FD 9, for group
4618: handle_request: request received (Version = 2) from PID 4626
4618:   GETGRBYGID (500)
4618: Haven't found "500" in group cache!
4618: add new entry "500" of type GETGRBYGID for group to cache (first)
4618: remove GETGRBYGID entry "500"

I have been told that pam_ccreds+nscd are appropriate tools for allowing laptops like mine to operate away from the network.
Comment 1 W. Michael Petullo 2005-06-27 10:55:44 EDT
This issue turned out to be due to a typo in /etc/nscd.conf.  Nscd seems to
behave properly now that the error was fixed.

Note You need to log in before you can comment on or make changes to this bug.